BcAsymmetricKeyWrapper (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.operator.bc

## Class BcAsymmetricKeyWrapper

- java.lang.Object
- - org.bouncycastle.operator.AsymmetricKeyWrapper
  - - org.bouncycastle.operator.bc.BcAsymmetricKeyWrapper

- All Implemented Interfaces:
    KeyWrapper
  Direct Known Subclasses:
    BcRSAAsymmetricKeyWrapper

      public abstract class BcAsymmetricKeyWrapper
      extends AsymmetricKeyWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId, org.bouncycastle.crypto.params.AsymmetricKeyParameter publicKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract org.bouncycastle.crypto.AsymmetricBlockCipher` | `createAsymmetricWrapper(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`
    `byte[]` | `generateWrappedKey(GenericKey encryptionKey)`
    `BcAsymmetricKeyWrapper` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.operator.AsymmetricKeyWrapper

      `getAlgorithmIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcAsymmetricKeyWrapper

          public BcAsymmetricKeyWrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier encAlgId,
                                org.bouncycastle.crypto.params.AsymmetricKeyParameter publicKey)

  - ### Method Detail

    - #### setSecureRandom

          public BcAsymmetricKeyWrapper setSecureRandom(java.security.SecureRandom random)

    - #### generateWrappedKey

          public byte[] generateWrappedKey(GenericKey encryptionKey)
                                    throws OperatorException

      Throws:
        `OperatorException`

    - #### createAsymmetricWrapper

          protected abstract org.bouncycastle.crypto.AsymmetricBlockCipher createAsymmetricWrapper(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)